<?php

sleep(1);
if (array_key_exists("pays", $_REQUEST))
{
	$tomorrow = 0;//60*60*24; // en nb de secondes
	header("Cache-Control: max-age=$tomorrow");
	print_plain();
}
else
{
	print "Usage : $_SERVER[PHP_SELF]?pays=un-code-pays";
}

function print_plain()
{
	header("Content-type: text/html; charset=windows-1252");
	$dep = get_dep($_REQUEST["pays"]);
	$result = array();
	foreach ($dep as $row)
	{
		$result[] = $row["dep_code"]."=".$row["dep_code"]." (".$row["dep_nom"].")";
	}
	if (count($result)==0)
		$result[]="-1=-- Inconnu --";
	print implode(";", $result);
}

function get_dep($pays)
{
	include_once("../inc/config.inc.php");
	include_once("../inc/func_txt.inc.php");
	// On se connecte a la base
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	// On recupere les enregistrements
	$rech = "SELECT * FROM ".TBDEP." WHERE dep_codepays='".str_majuscules($pays)."' ORDER BY dep_code";
	$rs = mysql_query($rech) or die(mysql_error());
	// On cree le resultat
	$result = array();
	while($row = mysql_fetch_array($rs))
	{
		$result[] = $row;
	}
	mysql_close();
	return $result;
}

?>